#include "../../include/hashtab.h"
#ifndef __HASHTAB_H__
struct htab;
typedef struct htab *htab_t;
typedef unsigned int hashval_t;
extern hashval_t htab_hash_string (const void *);
typedef hashval_t (*htab_hash) (const void *);
typedef int (*htab_eq) (const void *, const void *);
typedef void (*htab_del) (void *);
extern void htab_delete (htab_t);
extern htab_t htab_create (size_t, htab_hash, htab_eq, htab_del);
enum insert_option {NO_INSERT, INSERT};
extern void ** htab_find_slot (htab_t, const void *, enum insert_option);
typedef int (*htab_trav) (void **, void *);
extern void htab_traverse (htab_t, htab_trav, void *);

#endif
