#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "tree.h"
#include "errors.h"
#include "varray.h"
#include "c-tree.h"
#include "c-common.h"
#include "tree-gimple.h"
#include "hard-reg-set.h"
#include "basic-block.h"
#include "tree-flow.h"
#include "tree-inline.h"
#include "diagnostic.h"
#include "langhooks.h"
#include "langhooks-def.h"
#include "flags.h"
#include "rtl.h"
#include "toplev.h"
#include "tree-dump.h"
#include "c-pretty-print.h"
#include "cgraph.h"

#include "introspector.h"

void introspector_c_genericize_dump (tree fndecl)
{
  FILE *dump_file;
  int local_dump_flags;
  /* Dump the C-specific tree IR.  */

  introspector_dump_info_p idi;
  dump_file = introspector_dump_begin (idi, TDI_original, &local_dump_flags);// introspector

  if (dump_file)
    {
      fprintf (dump_file, "\n;; Function %s",
	       lang_hooks.decl_printable_name (fndecl, 2));
      fprintf (dump_file, " (%s)\n",
	       IDENTIFIER_POINTER (DECL_ASSEMBLER_NAME (fndecl)));
      fprintf (dump_file, ";; enabled by -%s\n", dump_flag_name (TDI_original));
      fprintf (dump_file, "\n");

//      if (local_dump_flags & TDF_RAW)
	introspector_dump_node (idi,DECL_SAVED_TREE (fndecl),
		   TDF_SLIM | local_dump_flags);
//      else
//	print_c_tree (dump_file, DECL_SAVED_TREE (fndecl));

      fprintf (dump_file, "\n");

      dump_end (TDI_original, dump_file);
    }
}
