#include "introspector_stdlib.h"
#include "introspector_gcc.h"
#include "introspector.h"
#include <stdio.h>


//enum tree_code TREE_CODE(tree t); 
//enum tree_code TREE_CODE(tree t){ return ((enum tree_code) (t)->common.code);}


enum tree_code_class  TREE_CODE_CLASS(enum tree_code CODE)
{
  return tree_code_type[(int) (CODE)];
}

tree TREE_CLASS_CHECK(tree T, const enum tree_code_class CLASS) 
{
  const tree __t = (T);
  if (TREE_CODE_CLASS (TREE_CODE(__t)) != (CLASS))
    tree_class_check_failed (__t, (CLASS), __FILE__, __LINE__, __FUNCTION__);
  return __t;
}


tree DECL_NAME(tree NODE)
{
  return (DECL_CHECK (NODE)->decl.name);
}

tree DECL_CHECK(tree T)
{
  return TREE_CLASS_CHECK (T, tcc_declaration);
}





const char * IDENTIFIER_POINTER(tree NODE) 
{
  return ((const char *) IDENTIFIER_NODE_CHECK (NODE)->identifier.id.str);
}


tree TREE_CHECK(tree T, enum tree_code CODE)
{ 
  const tree __t = (T);						
  if (TREE_CODE (__t) != (CODE))					
    tree_check_failed (__t, __FILE__, __LINE__, __FUNCTION__, 	
		       (CODE), 0);				
  return __t; 
}


tree  IDENTIFIER_NODE_CHECK(tree t)
{
  return TREE_CHECK (t, IDENTIFIER_NODE);
}

static struct dump_file_info dump_files[TDI_end] =
{
  {((void *)0), ((void *)0), ((void *)0), 0, 0, 0, 0},
  {".tu", "translation-unit", ((void *)0), (1 << 9), 0, 0, 0},
  {".class", "class-hierarchy", ((void *)0), (1 << 9), 0, 1, 0},
  {".original", "tree-original", ((void *)0), (1 << 9), 0, 2, 0},
  {".generic", "tree-generic", ((void *)0), (1 << 9), 0, 3, 0},
  {".nested", "tree-nested", ((void *)0), (1 << 9), 0, 4, 0},
  {".inlined", "tree-inlined", ((void *)0), (1 << 9), 0, 5, 0},
  {".vcg", "tree-vcg", ((void *)0), (1 << 9), 0, 6, 0},
  {((void *)0), "tree-all", ((void *)0), (1 << 9), 0, 0, 0},
  {((void *)0), "rtl-all", ((void *)0), (1 << 10), 0, 0, 0},
  {((void *)0), "ipa-all", ((void *)0), (1 << 11), 0, 0, 0},

  { ".cgraph", "ipa-cgraph", ((void *)0), (1 << 11), 0, 1, 0},

  { ".sibling", "rtl-sibling", ((void *)0), (1 << 10), 0, 1, 'i'},
  { ".eh", "rtl-eh", ((void *)0), (1 << 10), 0, 2, 'h'},
  { ".jump", "rtl-jump", ((void *)0), (1 << 10), 0, 3, 'j'},
  { ".cse", "rtl-cse", ((void *)0), (1 << 10), 0, 4, 's'},
  { ".gcse", "rtl-gcse", ((void *)0), (1 << 10), 0, 5, 'G'},
  { ".loop", "rtl-loop", ((void *)0), (1 << 10), 0, 6, 'L'},
  { ".bypass", "rtl-bypass", ((void *)0), (1 << 10), 0, 7, 'G'},
  { ".cfg", "rtl-cfg", ((void *)0), (1 << 10), 0, 8, 'f'},
  { ".bp", "rtl-bp", ((void *)0), (1 << 10), 0, 9, 'b'},
  { ".vpt", "rtl-vpt", ((void *)0), (1 << 10), 0, 10, 'V'},
  { ".ce1", "rtl-ce1", ((void *)0), (1 << 10), 0, 11, 'C'},
  { ".tracer", "rtl-tracer", ((void *)0), (1 << 10), 0, 12, 'T'},
  { ".loop2", "rtl-loop2", ((void *)0), (1 << 10), 0, 13, 'L'},
  { ".web", "rtl-web", ((void *)0), (1 << 10), 0, 14, 'Z'},
  { ".cse2", "rtl-cse2", ((void *)0), (1 << 10), 0, 15, 't'},
  { ".life", "rtl-life", ((void *)0), (1 << 10), 0, 16, 'f'},
  { ".combine", "rtl-combine", ((void *)0), (1 << 10), 0, 17, 'c'},
  { ".ce2", "rtl-ce2", ((void *)0), (1 << 10), 0, 18, 'C'},
  { ".regmove", "rtl-regmove", ((void *)0), (1 << 10), 0, 19, 'N'},
  { ".sms", "rtl-sms", ((void *)0), (1 << 10), 0, 20, 'm'},
  { ".sched", "rtl-sched", ((void *)0), (1 << 10), 0, 21, 'S'},
  { ".lreg", "rtl-lreg", ((void *)0), (1 << 10), 0, 22, 'l'},
  { ".greg", "rtl-greg", ((void *)0), (1 << 10), 0, 23, 'g'},
  { ".postreload", "rtl-postreload", ((void *)0), (1 << 10), 0, 24, 'o'},
  { ".gcse2", "rtl-gcse2", ((void *)0), (1 << 10), 0, 25, 'J'},
  { ".flow2", "rtl-flow2", ((void *)0), (1 << 10), 0, 26, 'w'},
  { ".peephole2", "rtl-peephole2", ((void *)0), (1 << 10), 0, 27, 'z'},
  { ".ce3", "rtl-ce3", ((void *)0), (1 << 10), 0, 28, 'E'},
  { ".rnreg", "rtl-rnreg", ((void *)0), (1 << 10), 0, 29, 'n'},
  { ".bbro", "rtl-bbro", ((void *)0), (1 << 10), 0, 30, 'B'},
  { ".btl", "rtl-btl", ((void *)0), (1 << 10), 0, 31, 'd'},
  { ".sched2", "rtl-sched2", ((void *)0), (1 << 10), 0, 32, 'R'},
  { ".stack", "rtl-stack", ((void *)0), (1 << 10), 0, 33, 'k'},
  { ".vartrack", "rtl-vartrack", ((void *)0), (1 << 10), 0, 34, 'V'},
  { ".mach", "rtl-mach", ((void *)0), (1 << 10), 0, 35, 'M'},
  { ".dbr", "rtl-dbr", ((void *)0), (1 << 10), 0, 36, 'd'}
};


/*
void
tree_check_failed (const tree node, const char *file,
		   int line, const char *function, ...)
{
}


void
tree_class_check_failed (const tree node, const enum tree_code_class cl,
			 const char *file, int line, const char *function)
{
}
*/
edge ei_safe_edge (edge_iterator i)
{
    return NULL;
//  return !ei_end_p (i) ? ei_edge (i) : NULL;
}


/* Advance the iterator to the next element.  */
void
ei_next (edge_iterator *i)
{
/*
  gcc_assert (i->index < EDGE_COUNT (ei_container (*i)));
  i->index++;
*/
}


edge_iterator ei_start_1 (VEC_edge **ev)
{

  edge_iterator i;

  i.index = 0;
  i.container = ev;

  return i;
}



/////////////

int EDGE_COUNT(edge * ev)
{
    return 0;
}


int get_lineno (tree expr)
{
    return 0;
}


/*
void varray_check_failed (varray_type vat, size_t s, const char * c, int i,
				 const char * cc) 
{

}
void debug_tree_bb (basic_block b)
{}

*/


///////
tree DECL_SAVED_TREE(tree t); 
tree DECL_SAVED_TREE(tree t){ return ((t)->decl.saved_tree);}

tree PHI_RESULT_TREE(tree t); 
tree PHI_RESULT_TREE(tree t){ return (t)->phi.result;}

tree TREE_BINFO_CHECK(tree t); 
tree TREE_BINFO_CHECK(tree t){ return (t);}

tree TREE_BLOCK(tree t); 
tree TREE_BLOCK(tree t){ return ((t)->exp.block);}

tree TREE_CHAIN(tree t); 
tree TREE_CHAIN(tree t){ return ((t)->common.chain);}

int TREE_COMPLEXITY(tree t); 
int TREE_COMPLEXITY(tree t){ return ((t)->exp.complexity);}
tree TREE_CONSTANT(tree t); 
tree TREE_CONSTANT(tree t){ return ((t)->common.constant_flag);}
tree TREE_IMAGPART(tree t); 
tree TREE_IMAGPART(tree t){ return ((t)->complex.imag);}
struct tree_int_cst_lowh * TREE_INT_CST(tree t); 
struct tree_int_cst_lowh * TREE_INT_CST(tree t){ return &((t)->int_cst.int_cst);}
long TREE_INT_CST_HIGH(tree t); 
long TREE_INT_CST_HIGH(tree t){ return (((t)->int_cst.int_cst).high);}
unsigned long TREE_INT_CST_LOW(tree t); 
unsigned long TREE_INT_CST_LOW(tree t){ return (((t)->int_cst.int_cst).low);}
unsigned TREE_INVARIANT(tree t); 
unsigned TREE_INVARIANT(tree t){ return ((t)->common.invariant_flag);}
unsigned TREE_LANG_FLAG_0(tree t); 
unsigned TREE_LANG_FLAG_0(tree t){ return ((t)->common.lang_flag_0);}
unsigned TREE_LANG_FLAG_1(tree t); 
unsigned TREE_LANG_FLAG_1(tree t){ return ((t)->common.lang_flag_1);}
unsigned TREE_LANG_FLAG_2(tree t); 
unsigned TREE_LANG_FLAG_2(tree t){ return ((t)->common.lang_flag_2);}
unsigned TREE_LANG_FLAG_3(tree t); 
unsigned TREE_LANG_FLAG_3(tree t){ return ((t)->common.lang_flag_3);}
unsigned TREE_LANG_FLAG_4(tree t); 
unsigned TREE_LANG_FLAG_4(tree t){ return ((t)->common.lang_flag_4);}
unsigned TREE_LANG_FLAG_5(tree t); 
unsigned TREE_LANG_FLAG_5(tree t){ return ((t)->common.lang_flag_5);}
unsigned TREE_LANG_FLAG_6(tree t); 
unsigned TREE_LANG_FLAG_6(tree t){ return ((t)->common.lang_flag_6);}
//aunsigned TREE_LIST_CHECK(tree t); 
//tree TREE_LIST_CHECK(tree t){ return (t);}
unsigned TREE_NOTHROW(tree t); 
unsigned TREE_NOTHROW(tree t){ return ((t)->common.nothrow_flag);}
unsigned TREE_NO_WARNING(tree t); 
unsigned TREE_NO_WARNING(tree t){ return ((t)->common.nowarning_flag);}
unsigned TREE_OVERFLOW(tree t); 
unsigned TREE_OVERFLOW(tree t){ return ((t)->common.public_flag);}
unsigned TREE_PRIVATE(tree t); 
unsigned TREE_PRIVATE(tree t){ return ((t)->common.private_flag);}
unsigned TREE_PROTECTED(tree t); 
unsigned TREE_PROTECTED(tree t){ return ((t)->common.protected_flag);}
unsigned TREE_PUBLIC(tree t); 
unsigned TREE_PUBLIC(tree t){ return ((t)->common.public_flag);}
tree TREE_PURPOSE(tree t); 
tree TREE_PURPOSE(tree t){ return ((t)->list.purpose);}
unsigned TREE_READONLY(tree t); 
unsigned TREE_READONLY(tree t){ return ((t)->common.readonly_flag);}
enum tree_code_class TREE_READONLY_DECL_P(tree t); 
enum tree_code_class TREE_READONLY_DECL_P(tree t){ return ((tree_code_type[(int) (((enum tree_code) (t)->common.code))] == tcc_declaration) && ((t)->common.readonly_flag));}
tree TREE_REALPART(tree t); 
tree TREE_REALPART(tree t){ return ((t)->complex.real);}


// this cannot be deferenced....
struct real_value * TREE_REAL_CST(tree t); 
struct real_value * TREE_REAL_CST(tree t){ return ((t)->real_cst.real_cst_ptr);}

struct real_value * TREE_REAL_CST_PTR(tree t); 
struct real_value * TREE_REAL_CST_PTR(tree t){ return ((t)->real_cst.real_cst_ptr);}
unsigned TREE_SIDE_EFFECTS(tree t); 
unsigned TREE_SIDE_EFFECTS(tree t){ return ((t)->common.side_effects_flag);}
unsigned TREE_STATIC(tree t); 
unsigned TREE_STATIC(tree t){ return ((t)->common.static_flag);}
int TREE_STRING_LENGTH(tree t); 
int TREE_STRING_LENGTH(tree t){ return ((t)->string.length);}
const char * TREE_STRING_POINTER(tree t); 
const char * TREE_STRING_POINTER(tree t){ return ((const char *)((t)->string.str));}
unsigned TREE_SYMBOL_REFERENCED(tree t); 
unsigned TREE_SYMBOL_REFERENCED(tree t){ return ((t)->common.static_flag);}
unsigned TREE_THIS_NOTRAP(tree t); 
unsigned TREE_THIS_NOTRAP(tree t){ return ((t)->common.nothrow_flag);}
unsigned TREE_THIS_VOLATILE(tree t); 
unsigned TREE_THIS_VOLATILE(tree t){ return ((t)->common.volatile_flag);}
tree TREE_TYPE(tree t); 
tree TREE_TYPE(tree t){ return ((t)->common.type);}
unsigned TREE_USED(tree t); 
unsigned TREE_USED(tree t){ return ((t)->common.used_flag);}
tree TREE_VALUE(tree t); 
tree TREE_VALUE(tree t){ return ((t)->list.value);}
//tree TREE_VALUE(tree t); 
//tree TREE_VALUE(tree t){ return ((t)->list.value);}
tree TREE_VECTOR_CST_ELTS(tree t); 
tree TREE_VECTOR_CST_ELTS(tree t){ return ((t)->vector.elements);}

tree TREE_VEC_END(tree t); 
tree TREE_VEC_END(tree t){ return ((void) (t), &((t)->vec.a[(t)->vec.length]));}

char TREE_VEC_LENGTH(tree t); 
char TREE_VEC_LENGTH(tree t){ return ((t)->vec.length);}

unsigned TREE_VISITED(tree t); 
unsigned TREE_VISITED(tree t){ return ((t)->common.visited);}



tree PHI_ARG_DEF_TREE(tree t,int a){ return ((t)->phi.a[a]).def;}
tree TREE_OPERAND(tree t, int a){ return ((t)->exp.operands[a]);}

tree TREE_OPERAND_CHECK(tree t, int a){ return ((t)->exp.operands[a]);}
enum tree_code TREE_SET_CODE(tree t,enum tree_code a){ return ((t)->common.code = (a));}
tree TREE_VEC_ELT(tree t, int a){ return ((t)->vec.a[a]);}
tree TREE_VEC_ELT_CHECK(tree t,int a){ return ((t)->vec.a[a]);}


tree TREE_OPERAND_CHECK_CODE(tree t,int b){ return ((t)->exp.operands[b]);}
tree TREE_RTL_OPERAND_CHECK(tree t,int b){ return (*(rtx *) &((t)->exp.operands[b]));}


/*
tree FOR_EACH_SSA_TREE_OPERAND(tree t){ 
    return 
	for (t = op_iter_init_tree (&(b), a, c); !op_iter_done (&(b)); 
t = op_iter_next_tree (&(b)));}
*/
int TREE_ADDRESSABLE(tree t); 
int TREE_ADDRESSABLE(tree t){ return ((t)->common.addressable_flag);}

unsigned TREE_ASM_WRITTEN(tree t); 
unsigned TREE_ASM_WRITTEN(tree t){ return ((t)->common.asm_written_flag);}

int TREE_CODE_LENGTH(tree t); 
int TREE_CODE_LENGTH(tree t){ return tree_code_length[(int) (t)];}
int TREE_CONSTANT_OVERFLOW(tree t); 
int TREE_CONSTANT_OVERFLOW(tree t){ return ((t)->common.static_flag);}
int TREE_DEPRECATED(tree t); 
int TREE_DEPRECATED(tree t){ return ((t)->common.deprecated_flag);}
int TREE_HASH(tree t); 
int TREE_HASH(tree t){ return ((size_t) (t) & 0777777);}
const char * TREE_CODE_CLASS_STRING(tree t); 
const char * TREE_CODE_CLASS_STRING(tree t){ return tree_code_class_strings[(int) (t)];}



void VARRAY_PUSH_TREE(varray_type t,int a){ 
    if ((t)->elements_used >= (t)->num_elements) 
	(((t)) = varray_grow ((t), 2 * (t)->num_elements)); 
    (t)->data.tree[(t)->elements_used++] = (a);     
}

tree VARRAY_PUSH_TREE_PTR(varray_type t,int a){ 
    if ((t)->elements_used >= (t)->num_elements) 
	(((t)) = varray_grow ((t), 2 * (t)->num_elements)); 
    (t)->data.tp[(t)->elements_used++] = (a); 
}

tree VARRAY_TREE(varray_type t,int a){ return ((t)->data.tree[a]);}
tree VARRAY_TREE_PTR(varray_type t,int a){ return ((t)->data.tp[a]);}
tree VARRAY_TOP_TREE(varray_type t); 
tree VARRAY_TOP_TREE(varray_type t){ return ((t)->data.tree[(t)->elements_used - 1]);}
tree VARRAY_TOP_TREE_PTR(varray_type t); 
tree VARRAY_TOP_TREE_PTR(varray_type t){ return ((t)->data.tp[(t)->elements_used - 1]);}
tree VARRAY_TREE_INIT(varray_type t,int a, int b)
{ return t = varray_init (a, VARRAY_DATA_TREE, b);
}
tree VARRAY_TREE_PTR_INIT(varray_type t,int a, int b){ return t = varray_init (a, VARRAY_DATA_TREE_PTR, b);}


tree BIND_EXPR_BODY(tree t); 
tree BIND_EXPR_BODY(tree t){ return ((((t))->exp.operands[1]));}


tree DECL_ARGUMENTS(tree t); 
tree DECL_ARGUMENTS(tree t){ return ((t)->decl.arguments);}

///
FILE *dump_begin (enum tree_dump_index id, int * flags)
{
  //  printf ("Dump Begin %d\n",id);
  return 0;
}

void dump_end (enum tree_dump_index id, FILE * f)
{
  return 0;
}
 
void dump_node (tree t, int i, FILE * f)
{
  printf ("Dump Node %x %d",t,i);

}

void dump_function (enum tree_dump_index id, tree t)
{
  fprintf (stderr,
	   "Dump Function %s\n",
	   t->decl.name->identifier.id.str
	   );  
  introspector_dir_model_start(
			       t->decl.name->identifier.id.str
			       );
  introspector_dump_function(0,t);
}


/* Format to use to print dumpfile index value */
#ifndef DUMPFILE_FORMAT
#define DUMPFILE_FORMAT ".%02d."
#endif

static int initializing_dump = 0;
FILE *dump_file;

enum graph_dump_types
{
  no_graph = 0,
  vcg
};
enum graph_dump_types graph_dump_format;
 int dump_flags;
 const char *dump_file_name;


/* Routine to open a dump file.  Return true if the dump file is enabled.  */
int
introspector_open_dump_file (enum tree_dump_index index, tree decl)
{
  if (! dump_enabled_p (index))
    return 0;

  if (dump_file != NULL || dump_file_name != NULL)
    dump_file_name="noname";
    //    abort ();

  dump_file_name = get_dump_file_name (index);
  initializing_dump = !dump_initialized_p (index);
  dump_file = dump_begin (index, NULL);

  if (dump_file == NULL)
    //    fatal_error    printf("introspector can't open %s: %m\n", dump_file_name);
    printf("introspector opening file\n");

/*   if (decl) */
/*     //f */
/*     printf ( */
/* 	    //dump_file,  */
/* 	    "\n;; Function %s%s\n\n", */
/* 	     lang_hooks.decl_printable_name (decl, 2), */
/* 	     cfun->function_frequency == FUNCTION_FREQUENCY_HOT */
/* 	     ? " (hot)" */
/* 	     : cfun->function_frequency == FUNCTION_FREQUENCY_UNLIKELY_EXECUTED */
/* 	     ? " (unlikely executed)" */
/* 	     : ""); */

  return 1;
}

/* Routine to close a dump file.  */

void
introspector_close_dump_file (enum tree_dump_index index,
		 void (*func) (FILE *, rtx),
		 rtx insns)
{
  if (! dump_file)
    return;


  if (insns
      && graph_dump_format != no_graph)
    {
      /* If we've not initialized the files, do so now.  */
      if (initializing_dump)
	clean_graph_dump_file (dump_file_name);

      print_rtl_graph_with_bb (dump_file_name, insns);
    }

  if (func && insns)
    func (dump_file, insns);

  dump_end (index, dump_file);
  free ((char *) dump_file_name);

  dump_file = NULL;
  dump_file_name = NULL;

}
