#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "tree.h"
#include "splay-tree.h"
#include "diagnostic.h"
#include "toplev.h"
#include "tree-pass.h"
#include "langhooks.h"
#include "tree-iterator.h"
#include "introspector.h"
#include "tree-dump-data.h"
#include "introspector_inline.h"
#include "introspector_inline_fields_define.h"
#include "tree-dump.h"

void queue_and_dump_index_introspector (introspector_dump_info_p idi, introspector_predicate_p field, tree t, int flags)
{
  dump_info_p di=idi->di;
  unsigned int index;
  splay_tree_node n;

  /* If there's no node, just return.  This makes for fewer checks in
     our callers.  */
  if (!t)
    return;

  /* See if we've already queued or dumped this node.  */
  n = splay_tree_lookup (di->nodes, (splay_tree_key) t);
  if (n)
    index = ((dump_node_info_p) n->value)->index;
  else
    /* If we haven't, add it to the queue.  */
    index = queue (di, t, flags);

  /* introspector :
    look up the field, dump a ref to another object, and also emit information about the type of that object
    the next step will be put put the different types of nodes into subdirs
  */
  intrspctr_node_ref(idi,field,index);  
}


librdf_node introspector_predicate_field_name (introspector_predicate_p field)
{  
  return field->name;
}

void introspector_create_predicate_fields (void)
{
  // going to include the fields
#include "introspector_inline_fields_init.h"
}

void introspector_delete_predicate_fields (void)
{
  // going to include the fields
#include "introspector_inline_fields_delete.h"
}

introspector_predicate_p create_introspector_predicate(const char * pname,introspector_predicate_p pobject)
{
  strcpy(pobject->name.str,pname);
  return pobject;
}
