#ifndef INC_INTROSPECTOR_RDF_H
#define INC_INTROSPECTOR_RDF_H

#include "introspector_forwards.h"

//typedef struct librdf_node_s librdf_node;
//typedef librdf_node * librdf_node_p;
// basic librdf structures used

#define NODE_WIDTH 50


struct librdf_serializer_s;
struct librdf_storage_s;
struct librdf_world_s;
struct librdf_model_s;
struct librdf_statement_s;
struct librdf_node_s;

typedef struct librdf_statement_s librdf_statement;
typedef struct librdf_model_s librdf_model;
typedef struct librdf_node_s librdf_uri;
//typedef struct librdf_node_s librdf_node;
typedef struct librdf_serializer_s librdf_serializer;
typedef struct librdf_storage_s librdf_storage;
typedef struct librdf_world_s librdf_world;

struct librdf_node_s
{
  long int  id;
  long int  usage;
  char str[NODE_WIDTH];

// tree t;
    // enum tree_index node_type;
};


/// how to navigate the statements.
// What is the next statement list node that contains a pointer to a statement that contains this node in the same role. 
///  NODE -> OCCURANCE 
//              subject   --> 
//              OBJECT    --> 
//              predicate --> 
//                            List of Statements
//                                    Stmt Next

// what is the statement that contains the object in any role?  we can start three lists of object. 
// what are all the statements that contain this object. 
// all the statements that contains this object in the same role. 

struct librdf_statement_s
{
  long int  id;
  librdf_node_p subject;
  //  librdf_node_p predicate;
  introspector_predicate_p predicate;
  librdf_node_p object;
};

// REDLAND_API 
librdf_world* librdf_new_world(void);
void librdf_free_world(librdf_world *world);
void librdf_world_open(librdf_world *world);
librdf_storage* librdf_new_storage(librdf_world *world, char *storage_name, char *name, char *options_string);
librdf_uri* librdf_new_uri (librdf_world *world, const unsigned char *string);
librdf_model* librdf_new_model(librdf_world *world, librdf_storage *storage, char* options_string);
void librdf_free_model(librdf_model *model);
void librdf_free_serializer(librdf_serializer *serializer);
void librdf_free_uri(librdf_uri *uri);
void librdf_free_storage(librdf_storage *storage);
void librdf_free_uri(librdf_uri *uri);
void librdf_free_node(librdf_node *r);
int librdf_serializer_serialize_model(librdf_serializer* serializer, FILE *handle, librdf_uri* base_uri, librdf_model* model);
librdf_serializer* librdf_new_serializer(librdf_world* world, const char *name, const char *mime_type, librdf_uri *type_uri);
librdf_statement* librdf_new_statement(librdf_world* world);
void librdf_statement_set_subject(librdf_statement *statement, librdf_node *subject);
librdf_node* librdf_statement_get_predicate(librdf_statement *statement);
void librdf_statement_set_predicate(librdf_statement *statement, librdf_node *predicate);
librdf_node* librdf_statement_get_object(librdf_statement *statement);
void librdf_statement_set_object(librdf_statement *statement, librdf_node *object);
int librdf_model_add_statement(librdf_model* model, librdf_statement* statement);
librdf_node* librdf_new_node_from_literal(librdf_world* world, const unsigned char *string, const char *xml_language, int is_wf_xml);
librdf_node* librdf_new_node_from_uri_local_name(librdf_world* world, librdf_uri *uri, const unsigned char *local_name);

#endif
