#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "tree.h"
#include "introspector_forwards.h"
//#include "introspector_stdlib.h"
#include "introspector.h"

struct introspector_type global_types[ LAST_AND_UNUSED_TREE_CODE];
extern const char *const tree_code_name[];

static int debug=0;
void 
introspector_node_type_add_object(
				  enum tree_index id,
				  librdf_node* pobject
				  )
{
  if (debug)
    printf("adding type %s %s\n",global_types[id].name,pobject->str);
  introspector_type_add_instance(
				 &global_types[id],
				 pobject
				 );
}


void 
introspector_node_types_delete()
{
  enum tree_index i;
  for (i =0;i <= LAST_AND_UNUSED_TREE_CODE; i++)
    {
      if (debug)
	printf("deleting type %s %ld\n",global_types[i].name,global_types[i].count);
      introspector_type_delete(			 
			       &global_types[i]
			       );
    }
}


void 
introspector_node_types_init()
{
  enum tree_index i;
  for (i =0; i <= LAST_AND_UNUSED_TREE_CODE; i++)
    {
      if (debug)
	printf("create type %s\n",tree_code_name[i]);
      create_introspector_type(		       
			       tree_code_name[i],
			       &global_types[i]
			       );
    }
}
