#include "config.h"
#include "system.h"
#include "alloc-pool.h"
#include "hashtab.h"

#include "introspector_stdlib.h"
#include "introspector_rdf.h"
#include "introspector_inline.h"

static alloc_pool statement_pool;
static alloc_pool node_pool;

void introspector_alloc()
{
  statement_pool = create_alloc_pool ("statements",
				      sizeof(librdf_statement),
				      10000);
  node_pool = create_alloc_pool ("nodes",
				      sizeof(librdf_node),
				      100000);
}

librdf_statement * alloc_statement()
{
  return pool_alloc (statement_pool);
}

librdf_node * alloc_node()
{
  return pool_alloc (node_pool);
}

void introspector_free(void)
{
  free_alloc_pool (statement_pool);
  free_alloc_pool (node_pool);
}
