<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--indent="yes" -->
<xsl:output method="xml" />
<xsl:template match="text()"/>

<xsl:template name="string">
  <xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">    
  </xsl:for-each>
</xsl:template>

<xsl:template name="name">
  <xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">
  <name>
    <xsl:attribute name="name">  <xsl:value-of select="@strg"/></xsl:attribute>
    <xsl:call-template name="node"/>
  <xsl:call-template name="name_f"/>
  <xsl:value-of select="@strg"/>
  </name>
  </xsl:for-each>
</xsl:template>

<xsl:template name="function_body"><xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">
    <body>
    <xsl:call-template name="node"/>
    <xsl:call-template name="body_f"/>
    <xsl:call-template name="child_f"/>
    <xsl:call-template name="ops_f"/>
    <xsl:call-template name="type_switch"/>
    </body>
  </xsl:for-each>
</xsl:template>

<xsl:template name="var_decl">
  <xsl:call-template name="name_f"/>
  <xsl:call-template name="type_f"/>
</xsl:template>

<xsl:template name="call_expr">
  <!-- ftype -->

    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@fn"/></xsl:with-param></xsl:call-template>    
    <xsl:call-template name="prms"><xsl:with-param name="id"><xsl:value-of select="@args"/></xsl:with-param></xsl:call-template>
</xsl:template>


<xsl:template name="field_decl">
  <xsl:call-template name="name_f"/>
  <xsl:call-template name="type_f"/>
</xsl:template>


<xsl:template name="function_decl">
  <xsl:call-template name="name_f"/>
  <xsl:call-template name="type_f"/>
</xsl:template>

<xsl:template name="integer_cst">
  <xsl:call-template name="low_f"/>
</xsl:template>

<xsl:template name="return_expr">
  <xsl:call-template name="type_f"/>
  <xsl:if test="@retn"><xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@retn"/></xsl:with-param></xsl:call-template></xsl:if>

</xsl:template>

<xsl:template name="type_switch">
  <xsl:variable name="type"><xsl:value-of select="name(.)"/></xsl:variable>
  <xsl:if test="$type='field_decl'"><xsl:call-template name="field_decl"/></xsl:if>
  <xsl:if test="$type='function_decl'"><xsl:call-template name="function_decl"/></xsl:if>
  <xsl:if test="$type='var_decl'"><xsl:call-template name="var_decl"/></xsl:if>
  <xsl:if test="$type='return_expr'"><xsl:call-template name="return_expr"/></xsl:if>
  <xsl:if test="$type='call_expr'"><xsl:call-template name="call_expr"/></xsl:if>
</xsl:template>



<xsl:template name="body_f">
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@body"/></xsl:with-param></xsl:call-template>
</xsl:template>

<xsl:template name="child_f">
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement_"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement__"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement___"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement____"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement_____"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@child_statement______"/></xsl:with-param></xsl:call-template>
</xsl:template>

<xsl:template name="ops_f">
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@op_0"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@op_1"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_body"><xsl:with-param name="id"><xsl:value-of select="@op_2"/></xsl:with-param></xsl:call-template>
</xsl:template>


<xsl:template name="chain"><xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">
    <chain>
    <xsl:call-template name="node"/>
    <xsl:call-template name="chain"><xsl:with-param name="id"><xsl:value-of select="@chan"/></xsl:with-param></xsl:call-template>    
    <xsl:call-template name="dump"><xsl:with-param name="id"><xsl:value-of select="@val"/></xsl:with-param></xsl:call-template>    
    </chain>
  </xsl:for-each>
</xsl:template>

<xsl:template name="attrs">
  <attrs>
   <xsl:for-each select="@*">
     <attr>
      <xsl:attribute name="name">
      <xsl:value-of select="name(.)"/>
      </xsl:attribute>      
      <xsl:attribute name="val">
	<xsl:value-of select="."/>
      </xsl:attribute>
     </attr>
    </xsl:for-each>
  </attrs>
</xsl:template>

<xsl:template name="name_f">
<xsl:call-template name="name"><xsl:with-param name="id"><xsl:value-of select="@name"/></xsl:with-param></xsl:call-template>
</xsl:template>

<xsl:template name="ptd_f">
  <xsl:if test="@ptd">
    <ptd>
      <xsl:call-template name="type"><xsl:with-param name="id"><xsl:value-of select="@ptd"/></xsl:with-param></xsl:call-template>
    </ptd>   
    </xsl:if>
</xsl:template>


<xsl:template name="type_f">
  <xsl:if test="@type">
      <xsl:call-template name="type"><xsl:with-param name="id"><xsl:value-of select="@type"/></xsl:with-param></xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="retn_f"><xsl:if test="@retn"><xsl:call-template name="type"><xsl:with-param name="id"><xsl:value-of select="@retn"/></xsl:with-param></xsl:call-template></xsl:if>
</xsl:template>

<xsl:template name="prms">
  <xsl:for-each select="/nodes/*[@id=$id]">
    <prms>
      <xsl:call-template name="type"><xsl:with-param name="id"><xsl:value-of select="@valu"/></xsl:with-param></xsl:call-template>      
      <xsl:call-template name="prms"><xsl:with-param name="id"><xsl:value-of select="@chan"/></xsl:with-param></xsl:call-template>
    </prms>
  </xsl:for-each>
</xsl:template>

<xsl:template name="prms_f">
  <xsl:if test="@prms">
    <xsl:call-template name="prms"><xsl:with-param name="id"><xsl:value-of select="@prms"/></xsl:with-param></xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="type"><xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">
    <type><xsl:call-template name="node"/>

    <xsl:call-template name="name_f"/>
    <xsl:call-template name="ptd_f"/>
    </type>
  </xsl:for-each>
</xsl:template>



<xsl:template name="node">
<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
<xsl:attribute name="type"><xsl:value-of select="name(.)"/></xsl:attribute>
    <xsl:call-template name="attrs"/>

</xsl:template>

<xsl:template name="ftype"><xsl:param name="id"/>

  <xsl:for-each select="/nodes/*[@id=$id]">

    <type><xsl:call-template name="node"/>
    <xsl:call-template name="name_f"/>
    <xsl:call-template name="retn_f"/>
    <xsl:call-template name="prms_f"/>
    </type>

  </xsl:for-each>
</xsl:template>

<xsl:template name="function_args"><xsl:param name="id"/>
  
  <xsl:for-each select="/nodes/*[@id=$id]">
    <args><xsl:call-template name="node"/>
    <xsl:call-template name="name_f"/>
    <xsl:call-template name="type_f"/>

    <xsl:call-template name="function_args"><xsl:with-param name="id"><xsl:value-of select="@chan"/></xsl:with-param></xsl:call-template>    

  </args>
  </xsl:for-each>
</xsl:template>

<xsl:template name="function_type"><xsl:param name="id"/>
    <xsl:call-template name="ftype"><xsl:with-param name="id"><xsl:value-of select="$id"/></xsl:with-param></xsl:call-template>
</xsl:template>

<xsl:template name="function">
  <xsl:param name="id"/>
  <xsl:for-each select="/nodes/*[@id=$id]">
    <function><xsl:call-template name="node"/>
      <xsl:call-template name="name"><xsl:with-param name="id"><xsl:value-of select="@name"/></xsl:with-param></xsl:call-template>
      <locate><xsl:value-of select="@filename"/>:<xsl:value-of select="@linenumber"/></locate>
      <static><xsl:value-of select="@modifier_static"/></static>
    <xsl:call-template name="body_f"/>
    <xsl:call-template name="function_args"><xsl:with-param name="id"><xsl:value-of select="@args"/></xsl:with-param></xsl:call-template>
    <xsl:call-template name="function_type"><xsl:with-param name="id"><xsl:value-of select="@type"/></xsl:with-param></xsl:call-template>
    </function>
  </xsl:for-each>

</xsl:template>


<xsl:template match="/">
<xsl:call-template name="function">
  <xsl:with-param name="id">1</xsl:with-param>
  </xsl:call-template>
</xsl:template>

</xsl:stylesheet>