#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "tree.h"
#include "splay-tree.h"
#include "diagnostic.h"
#include "toplev.h"
#include "tree-dump.h"
#include "tree-pass.h"
#include "langhooks.h"
#include "tree-iterator.h"

#include "introspector.h"

struct dump_file_info dump_files[TDI_end] =
{
  {((void *)0), ((void *)0), ((void *)0), 0, 0, 0, 0},
  {".tu", "translation-unit", ((void *)0), (1 << 9), 0, 0, 0},
  {".class", "class-hierarchy", ((void *)0), (1 << 9), 0, 1, 0},
  {".original", "tree-original", ((void *)0), (1 << 9), 0, 2, 0},
  {".generic", "tree-generic", ((void *)0), (1 << 9), 0, 3, 0},
  {".nested", "tree-nested", ((void *)0), (1 << 9), 0, 4, 0},
  {".inlined", "tree-inlined", ((void *)0), (1 << 9), 0, 5, 0},
  {".vcg", "tree-vcg", ((void *)0), (1 << 9), 0, 6, 0},
  {((void *)0), "tree-all", ((void *)0), (1 << 9), 0, 0, 0},
  {((void *)0), "rtl-all", ((void *)0), (1 << 10), 0, 0, 0},
  {((void *)0), "ipa-all", ((void *)0), (1 << 11), 0, 0, 0},

  { ".cgraph", "ipa-cgraph", ((void *)0), (1 << 11), 0, 1, 0},

  { ".sibling", "rtl-sibling", ((void *)0), (1 << 10), 0, 1, 'i'},
  { ".eh", "rtl-eh", ((void *)0), (1 << 10), 0, 2, 'h'},
  { ".jump", "rtl-jump", ((void *)0), (1 << 10), 0, 3, 'j'},
  { ".cse", "rtl-cse", ((void *)0), (1 << 10), 0, 4, 's'},
  { ".gcse", "rtl-gcse", ((void *)0), (1 << 10), 0, 5, 'G'},
  { ".loop", "rtl-loop", ((void *)0), (1 << 10), 0, 6, 'L'},
  { ".bypass", "rtl-bypass", ((void *)0), (1 << 10), 0, 7, 'G'},
  { ".cfg", "rtl-cfg", ((void *)0), (1 << 10), 0, 8, 'f'},
  { ".bp", "rtl-bp", ((void *)0), (1 << 10), 0, 9, 'b'},
  { ".vpt", "rtl-vpt", ((void *)0), (1 << 10), 0, 10, 'V'},
  { ".ce1", "rtl-ce1", ((void *)0), (1 << 10), 0, 11, 'C'},
  { ".tracer", "rtl-tracer", ((void *)0), (1 << 10), 0, 12, 'T'},
  { ".loop2", "rtl-loop2", ((void *)0), (1 << 10), 0, 13, 'L'},
  { ".web", "rtl-web", ((void *)0), (1 << 10), 0, 14, 'Z'},
  { ".cse2", "rtl-cse2", ((void *)0), (1 << 10), 0, 15, 't'},
  { ".life", "rtl-life", ((void *)0), (1 << 10), 0, 16, 'f'},
  { ".combine", "rtl-combine", ((void *)0), (1 << 10), 0, 17, 'c'},
  { ".ce2", "rtl-ce2", ((void *)0), (1 << 10), 0, 18, 'C'},
  { ".regmove", "rtl-regmove", ((void *)0), (1 << 10), 0, 19, 'N'},
  { ".sms", "rtl-sms", ((void *)0), (1 << 10), 0, 20, 'm'},
  { ".sched", "rtl-sched", ((void *)0), (1 << 10), 0, 21, 'S'},
  { ".lreg", "rtl-lreg", ((void *)0), (1 << 10), 0, 22, 'l'},
  { ".greg", "rtl-greg", ((void *)0), (1 << 10), 0, 23, 'g'},
  { ".postreload", "rtl-postreload", ((void *)0), (1 << 10), 0, 24, 'o'},
  { ".gcse2", "rtl-gcse2", ((void *)0), (1 << 10), 0, 25, 'J'},
  { ".flow2", "rtl-flow2", ((void *)0), (1 << 10), 0, 26, 'w'},
  { ".peephole2", "rtl-peephole2", ((void *)0), (1 << 10), 0, 27, 'z'},
  { ".ce3", "rtl-ce3", ((void *)0), (1 << 10), 0, 28, 'E'},
  { ".rnreg", "rtl-rnreg", ((void *)0), (1 << 10), 0, 29, 'n'},
  { ".bbro", "rtl-bbro", ((void *)0), (1 << 10), 0, 30, 'B'},
  { ".btl", "rtl-btl", ((void *)0), (1 << 10), 0, 31, 'd'},
  { ".sched2", "rtl-sched2", ((void *)0), (1 << 10), 0, 32, 'R'},
  { ".stack", "rtl-stack", ((void *)0), (1 << 10), 0, 33, 'k'},
  { ".vartrack", "rtl-vartrack", ((void *)0), (1 << 10), 0, 34, 'V'},
  { ".mach", "rtl-mach", ((void *)0), (1 << 10), 0, 35, 'M'},
  { ".dbr", "rtl-dbr", ((void *)0), (1 << 10), 0, 36, 'd'}
};
